# Note that this is NOT a relocatable package
%define version      0.9.6
%define release      1mdk

Summary: gEdit is a small but powerful text editor for GNOME.
Name:      gedit
Version:   %version
Release:   %release
Copyright: GPL
Group: Editors 
Source0:   ftp://ftp.gnome.org/pub/GNOME/sources/gedit/gedit-%{version}.tar.bz2
Source1: gedit-po-19990827.tar.bz2
Source2: gedit_icons.tar.bz2
# (fc) 0.9.5-1mdk patch from GNOME CVS to compile with latest gnome-vfs (0.6.2)
Patch0:	gedit-0.9.5-gnomevfs.patch.bz2
URL:       http://gedit.pn.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

Requires: gnome-libs,
Requires: gnome-print >= 0.24
Requires: libglade >= 0.11
BuildRequires: gnome-print-devel >= 0.24
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel libxml-devel zlib-devel
BuildRequires: libglade-devel >= 0.11  gnome-vfs-devel libglade-devel

%package devel
Group:	Development/C
Summary: Libraries needed to develop plugins for gedit
Requires: %{name} = %{version}

%description
gEdit is a small but powerful text editor designed expressly
for GNOME.

It includes such features as split-screen mode, a plugin
API, which allows gEdit to be extended to support many
features while remaining small at its core, multiple
document editing through the use of a 'tabbed' notebook and
many more functions.

GNOME is required to use gEdit (Gnome-Libs and Gtk+).

%description devel
Libraries needed to develop plugins for gedit


%prep
%setup -q
#%patch0 -p 1 -b .gnomevfs

%build

tar yxvf %{SOURCE1}
tar yxvf %{SOURCE2}

CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s" %configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%{find_lang} %{name}

# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Applications/Editors" \
	title="GEdit" \
	longtitle="gEdit is a small but powerful text editor" \
	command="%{_bindir}/gedit" \
	icon=gedit.xpm
EOF

# icons
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %{name}_16.xpm $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
install -m 644 %{name}_32.xpm $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
install -m 644 %{name}_48.xpm $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%{update_menus}

%postun 
%{clean_menus}
/sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL THANKS FAQ
%{_bindir}/*
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/plugins/*.so.0*
%{_datadir}/%{name}
%{_liconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_datadir}/gnome/apps/Applications/*.desktop
%{_datadir}/gnome/help/%{name}
%{_datadir}/pixmaps/*
%{_datadir}/mime-info/*
%{_mandir}/*/*
%{_menudir}/%{name}
%{_libdir}/%{name}/plugins/*.so

%files devel
%defattr(-, root, root)
%{_libdir}/%{name}/plugins/*.a
%{_libdir}/%{name}/plugins/*.la


%changelog
* Tue Mar 20 2001 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.6-1mdk
- new version 0.9.6
- removed gnome-vfs patch

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Patch 0 to compile with gnome-vfs 0.6.2

* Sat Nov 25 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.9.4-1mdk
- new and shiny source.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.3-1mdk
- new version 0.9.3
- moved plugins .so in normal package

* Wed Sep 20 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.1-1mdk
- new version

* Wed Sep  6 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.9.0-3mdk
- fixed langs
- further macroszification
- fixed icons
- fixed buildroot
- commented out .desktop
- fixed help

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.9.0-2mdk
- automatically added BuildRequires

* Mon Jul 24 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-1mdk
- release 0.9.0 (from helix)
- BM + macroszification

* Wed Jun 28 2000 Alexandre Dussart <adussart@mandrakesoft.com> 0.7.9-1mdk
- 0.7.9

* Tue Jun 20 2000 dam's <damien@mandrakesoft.com> 0.7.0-4mdk
- Corrected po file source name gz -> bz2.

* Sun Jun 18 2000 dam's <damien@mandrakesoft.com> 0.7.0-3mdk
- Re-include po files.

* Thu Jun 15 2000 Reinhard Katzmann <reinhard@suamor.de> 0.7.0-2mdk
- Several important files were not included in the package :-(

* Mon Jun 12 2000 dam's <damien@mandrakesoft.com> 0.7.0-1mdk
- updated from helix.
- clean up spec.

* Fri Apr 28 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-3mdk
- Add icons

* Thu Apr 20 2000 Vincent Saugey <vince@mandrakesoft.com> 0.6.1-2mdk
- Add menu entry

* Tue Mar 28 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.1-1mdk
- build release
- cleanup spec file .
- add post and postun sections (sometimes handy)
- upgrade from helix

* Sat Mar 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.5.5-2mdk
- fix group 
- package should not be relocatable

* Wed Nov 17 1999 Lenny Cartier <lenny@mandrakesoft.com>
- v0.5.5
 

* Fri Aug 27 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- get latest translation files from CVS 

* Mon Jul 12 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip manpage

* Mon Jul 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 0.5.4 from CVS :

	* README: Upped version number to 0.5.4. Also updated various parts
	  of the file to reflect current features and other related items.
	
	* README.plugins, INSTALL, makeconfig.pl: Upped version number to 0.5.4,
	  in preperation of release.
	
	* NEWS: Added Announce message for 0.5.4.

	* Erk! i havent been keeping this up to date.. ahwell.. here goes..
	
	* gE_document.[ch]: (gE_window_new) Make it a GnomeApp arg, instead
	  of a GtkWidget.. much nicer.. And commented out the call to
	  gE_set_menu_toggle_states, gnome-libs 1.0.11 doenst seem to like it..
	
	* gE_mdi.c: various improvements.. (iirc ;)
	
	* gE_prefs.[ch]: Added a "close doc" flag..
	
	* gE_prefs_box.c: Moved the print tab to a Document tab, and added a
	  option for what to do when the last documnet of the window is closed..
	  right now only the first option works.. this corresponds with the 
	  flag, above.
	
	* commands.c: Made the close callback check the "close doc" flag, and 
	  it will either open a new doc if there arent any more, or print hola! to
	  stdout.. as i said, its not fully implemented yet.

* Tue May 11 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sat Feb 06 1999 Michael Johnson <johnsonm@redhat.com>
- Cleaned up a bit for Red Hat use

* Thu Oct 22 1998 Alex Roberts <bse@dial.pipex.com>
- First try at an RPM
